import { OnInit } from '@angular/core';
import { DndItemComponent } from "../dnd-item/dnd-item.component";
export declare class DndMoveItemComponent extends DndItemComponent implements OnInit {
    writeValue(obj: any): void;
    position: {
        x: number;
        y: number;
    };
    onChange: any;
    onTouched: any;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    loadDragList(): void;
}
